{% comment %}ly_global_begin{% endcomment %}{% include 'ly-global' %}{% comment %}ly_global_end{% endcomment %}<section class="our-story-press">
  <div class="press-container container full-height" style="background: {{ section.settings.our_story_press_bg }}">
    <div class="press-header">
      <h5><ly-as-10725395>Press</ly-as-10725395></h5>
      <div class="separateur">
        <img src="{% comment %}ly_asset_replace_for_[ 'separateur-white.png' | asset_url ]_begin{% endcomment %}{% assign ly_asset = 'separateur-white.png' %}{% include 'ly-asset' with ly_asset %}{{ ly_translation  }}{% comment %}ly_asset_replace_end{% endcomment %}" />
      </div><!-- ".separateur" -->
    </div><!-- ".press-header" -->

    <div class="press-list">
      {% for press in section.blocks %}
        <a class="text-link press-link" data-color="{{ press.settings.our_story_press_article_bg }}" data-press="{{ press.settings.our_story_press_link }}" href="{{ press.settings.our_story_press_link }}" target="_blank">{{ press.settings.our_story_press_title }}</a>
      {% endfor %}
    </div><!-- ".press-list" -->
    {% for press in section.blocks %}
      <div class="press-content" data-press="{{ press.settings.our_story_press_link }}">
        <div class="press-image">
          <img src="{{ press.settings.our_story_press_image | img_url: 'master' }}" />
        </div>
        <div class="press-quote">
          <h5>{{ press.settings.our_story_press_quote }}</h5>
        </div>
      </div><!-- ".press-content" -->
    {% endfor %}
  </div><!-- ".press-container" -->
</section><!-- ".our-story-press" -->

{% schema %}
{
  "name": "Our Story Press",
  "settings": [
    {
      "type": "color",
      "id": "our_story_press_bg",
      "label": "Press background color",
      "default": "#d5c5a3"
    }
  ],
  "blocks": [
    {
      "type": "press",
      "name": "Press",
      "settings": [
        {
          "type": "text",
          "id": "our_story_press_title",
          "label": "Name of publisher",
          "placeholder": "GQ Magazine"
        },
        {
          "type": "url",
          "id": "our_story_press_link",
          "label": "Link to article"
        },
        {
          "type": "image_picker",
          "id": "our_story_press_image",
          "label": "Article image"
        },
        {
          "type": "color",
          "id": "our_story_press_article_bg",
          "label": "Article background color",
          "default": "#d5c5a3"
        },
        {
          "type": "text",
          "id": "our_story_press_quote",
          "label": "Article quote",
          "placeholder": "Don't forget to pack a jacket."
        }
      ]
    }
  ]
}
{% endschema %}